org.springframework.web.reactive.function.client

## Class WebClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.reactive.function.client.WebClientException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WebClientResponseException

    public abstract class WebClientException
    extends org.springframework.core.NestedRuntimeException

Abstract base class for exception published by `WebClient` in case of errors.

Since:
  5.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebClientException(String msg)` Construct a new instance of `WebClientException` with the given message.
`WebClientException(String msg, Throwable ex)` Construct a new instance of `WebClientException` with the given message and exception.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebClientException

    public WebClientException(String msg)

Construct a new instance of `WebClientException` with the given message.

Parameters:
  `msg` - the message

#### WebClientException

    public WebClientException(String msg,
                              Throwable ex)

Construct a new instance of `WebClientException` with the given message and exception.

Parameters:
  `msg` - the message
  `ex` - the exception